<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains both current comments
 * and the comment form. The actual display of comments is
 * handled by a callback to colormag_comment() which is
 * located in the inc/functions.php file.
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() )
	return;
global $required_text,$aria_req;
?>
<section id="post_comment">
    <!-- Comments Display -->
    <?php if ( have_comments() ) : ?>
        <div class="view-comment-box">
            <h3 class="comment-title">Comments</h3>
            <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
      <nav id="comment-nav-above" class="comment-navigation" role="navigation">
      <!-- <h1 class="screen-reader-text"><?php _e( 'Comment navigation', 'softnep_news' ); ?></h1> -->
      <div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'softnep_news' ) ); ?></div>
      <div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'softnep_news' ) ); ?></div>
    </nav><!-- #comment-nav-above -->
    <?php endif; // check for comment navigation ?>

            <div class="comment">
                <ul class="comment-list">
					<?php wp_list_comments( array( 'callback' => 'softnepnews_comment' ) ); ?>
                </ul>    
            </div>
        </div>
    <?php endif;?>
    <?php
	// If comments are closed and there are comments, let's leave a little note, shall we?
	if ( ! comments_open() && '0' != get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
	<p class="no-comments"><?php _e( 'Comments are closed.', 'softnep_news' ); ?></p>
	<?php endif; ?>
<?php
/*Comment form arguments*/
$args = array(
  'id_submit'         => 'submit',
  'class_submit'      => 'submit',
  'name_submit'       => 'submit',
  'title_reply'       => __( 'Leave a Comment','softnep_news' ),
  'title_reply_to'    => __( 'Leave a Comment to %s','softnep_news' ),
  'cancel_reply_link' => __( 'Cancel Comment','softnep_news' ),
  'label_submit'      => __( 'Post Comment','softnep_news' ),
  'format'            => 'xhtml',

  'comment_field' =>'<p class="sn-form-comment"><label for="message">' . _x( 'Comment', 'noun','softnep_news' ) .
    '</label> '.
									( $req ? '<span class="required">*</span>' : '' ) .'
                                <br />
                                <textarea id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea></p>',

  'must_log_in' => '<p class="must-log-in">' .
    sprintf(
      __( 'You must be <a href="%s">logged in</a> to post a comment.' ),
      wp_login_url( apply_filters( 'the_permalink', get_permalink() ) )
    ) . '</p>',

  'logged_in_as' => '<p class="logged-in-as">' .
    sprintf(
    __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>' ),
      admin_url( 'profile.php' ),
      $user_identity,
      wp_logout_url( apply_filters( 'the_permalink', get_permalink( ) ) )
    ) . '</p>',

  'comment_notes_before' => '<p class="comment-notes">' .
    __( 'Your email address will not be published.','softnep_news' ) . ( $req ? $required_text : '' ) .
    '</p>',

  'comment_notes_after' => '<p class="form-allowed-tags">' .
    sprintf(
      __( 'You may use these <abbr title="HyperText Markup Language">HTML</abbr> tags and attributes: %s' ),
      ' <code>' . allowed_tags() . '</code>'
    ) . '</p>',

  'fields' => array(

		  'author' =>'<p class="sn-form-author">
                                <label for="author">' . __( 'Name', 'domainreference' ) . '</label>' .
									( $req ? '<span class="required">*</span>' : '' ) .'
                                <br />
                                <input id="author" type="text"  value="' . esc_attr( $commenter['comment_author'] ) .
			'" name="author" ' . $aria_req . ' />
                            </p>',
		
		  'email' =>'<p class="sn-form-email">
                                <label for="email">' . __( 'Email', 'domainreference' ) . '</label> ' .
			( $req ? '<span class="required">*</span>' : '' ) .
			'<br />
                                <input id="email" type="email" name="email" value="' . esc_attr(  $commenter['comment_author_email'] ) .
			'" ' . $aria_req . '  />
                            </p>',
		
		  'url' =>'<p class="sn-form-website">
                                <label for="website">' . __( 'Website', 'domainreference' ) . '</label>
                                <br />
                                <input id="url" type="text" name="url" value="' . esc_attr( $commenter['comment_author_url'] ) .
			'" size="30"  />
                            </p>'
		)
);
?>    
    <div class="post-comment-box">
		<?php comment_form($args); ?>
    </div>    
</section>