<?php
/*=======================================================================*/
// Inner functions used for template
/*=======================================================================*/

add_action("admin_init", "admin_init");
function admin_init() {
	global $post;
    add_meta_box("slider_display_info", "Display on home page slider", "build_slider_display_info", "post", "side", "low");
    add_meta_box( 'youtube-meta-box', 'Youtube Video Description', 'url_meta_box_yt', 'video-gallery', 'normal', 'high' );
}
function build_slider_display_info(){
	global $post;
	 wp_nonce_field( basename( __FILE__ ), 'prfx_nonce' );
	$prfx_stored_meta = get_post_meta( $post->ID );

?>
<p>
	<input type="checkbox" name="featured-checkbox" id="featured-checkbox" value="yes" <?php if ( isset ( $prfx_stored_meta['featured-checkbox'] ) ) checked( 'yes',$prfx_stored_meta['featured-checkbox'][0] ); ?> />
        <label for="my_meta_box_check">Display on home page slider</label>
    </p>
<?php 
}

/**
 * Saves the custom meta input
 */
function prfx_meta_save( $post_id ) {

    // Checks save status - overcome autosave, etc.
    $is_autosave = wp_is_post_autosave( $post_id );
    $is_revision = wp_is_post_revision( $post_id );
    $is_valid_nonce = ( isset( $_POST[ 'prfx_nonce' ] ) && wp_verify_nonce( $_POST[ 'prfx_nonce' ], basename( __FILE__ ) ) ) ? 'true' : 'false';

    // Exits script depending on save status
    if ( $is_autosave || $is_revision || !$is_valid_nonce ) {
        return;
    }

// Checks for input and saves - save checked as yes and unchecked at no
if( isset( $_POST[ 'featured-checkbox' ] ) ) {
    update_post_meta( $post_id, 'featured-checkbox', 'yes' );
} else {
    update_post_meta( $post_id, 'featured-checkbox', 'no' );
}

}
add_action( 'save_post', 'prfx_meta_save' );


function url_meta_box_yt()
{
	global $post;
	 wp_nonce_field( basename( __FILE__ ), 'prfx_nonce' );
	$prfx_stored_meta = get_post_meta( $post->ID );
?>
     <p>
        <label for="url_id">Video ID:</label><br />
        <input type="text" name="url_id" id="url_id" class="widefat" <?php echo isset( $prfx_stored_meta['url_id']) ?'value="'. $prfx_stored_meta['url_id'][0].'"':'';?> />
    </p>
     
  <p>Copy only the youtube ID i.e the <em><strong>Bold-Red</strong></em> section of URL.</p><p>Ex - http://youtu.be/<em><strong style="color:red;">vNkVllQ3kZc</strong></em> OR http://www.youtube.com/watch?v=<em><strong style="color:red;">vNkVllQ3kZc</strong></em></p>

<?php
}

add_action('save_post', 'save_cpts_custom_fields');
function save_cpts_custom_fields() {
    global $post;
    if(isset($_POST["url_id"])) {
        //for destinations
        update_post_meta($post->ID, "url_id", $_POST["url_id"]);
       
    }
}

?>