<?php 
/**
 * Photo Gallery Widget
*/
class Photogallery_Widget extends WP_Widget {
   /**
    * Register widget with WordPress.
     */
   function __construct() {
		parent::__construct(
		'sn_photogallery_widget', // Base ID
		__( 'Photogallery Widget', 'softnep_news' ), // Name
		array( 'description' => __( 'The widget  to display news of society category ', 'softnep_news' ) )
		);
	}
	// widget form creation
    function form($instance) {				
		$instance = wp_parse_args( ( array ) $instance, array(
		'title'   =>__( '' )
		) );
		$title    =$instance['title'];	
?>
 		<p>
			<label for="<?php echo $this->get_field_id("title"); ?>">
			<?php _e( 'Title','softnep_news' ); ?>:</label> <br />
			<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />	
		</p>        
	<?php

	}

    /**
 	* Sanitize widget form values as they are saved.
 	*
	* @return array Updated safe values to be saved.
 	*/
    function update($new_instance, $old_instance) {	
    	$instance = $old_instance;	
    	$instance['title'] = strip_tags( $new_instance['title'] );					
		return $instance;
	}
	 /**
 	* Front-end display of widget.
 	*/
    function widget($args, $instance) {	
		global $post;
		$post_old = $post; // Save the post object.
		extract( $args );
		//echo $before_widget;
		echo' <div id="sn_photogallery">
				<div class="gallery-box">';
		echo $args['before_title'] . $instance["title"] . $args['after_title'];
		echo  ' <div id="sn_albums_cover">';?>
		 <?php	
			$args = array(
				'posts_per_page' =>1,
				'post_type' => 'photo-gallery',
				'order'=>'DESC'
						);
				query_posts($args);				
				while (have_posts()) : the_post();
        ?>
        <div class="col">
        <a href="<?php the_permalink();?>" title="<?php the_title();?>">
        
            <div class="sn-image-wrap">
                 <div class="sn-overlay"></div>
              <?php  
					//echo get_the_ID();
					if(has_post_thumbnail()) {			
						the_post_thumbnail('photogallery-thumbnail');
					}else{
						$attachments = get_posts(
							array(
								'post_type'      => 'attachment',
								'post_mime_type' => 'image',
								'post_parent'    => get_the_ID(),
								'posts_per_page' => 1, /* Save memory, only need one */
							)
						);
						if ( $attachments ) {
							foreach ( $attachments as $attachment ) {
								$image = wp_get_attachment_image_src($attachment->ID, 'photogallery-thumbnail');
						
				?>
                	<img src="<?php echo $image[0];?>" alt="<?php the_title();?>" width="750" height="500" />
               <?php 				
							break;
							}
						}
				?>     
                   
			<?php }?>
            </div>
        
            <div class="sn-album-title"><?php the_title();?></div>
        </a>
        </div>
 	<?php endwhile; wp_reset_query();?>
 	 <div class="sn-view3"><a href="<?php echo site_url('photo-gallery');?>" title="View All">View Albums</a></div>
	<?php 
	echo '</div></div>';
	echo $after_widget;			
	}
}
//register widget
function register_photogallery_widget() {
    register_widget( 'Photogallery_Widget' );
	}
add_action( 'widgets_init', 'register_photogallery_widget' );

/**
 * Video Gallery Widget
*/
class Videogallery_Widget extends WP_Widget {
   /** constructor */
   function __construct() {
		parent::__construct(
		'sn_videogallery_widget', // Base ID
		__( 'Videogallery Widget', 'softnep_news' ), // Name
		array( 'description' => __( 'The widget  to display Videogallery ', 'softnep_news' ) )
			
			 // Args
		);
	}
	// widget form creation
    function form($instance) {				
		$instance = wp_parse_args( ( array ) $instance, array(
			'title'          =>__( '' ),
			'num'			=>__('')
		) );
		$title          = $instance['title'];
		$num 			=$instance['num'];	
?>
	   <p>
			<label for="<?php echo $this->get_field_id("title"); ?>">
			<?php _e( 'Title','softnep_news' ); ?>:</label> <br />
			<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
		</p> 
		<p>
			<label for="<?php echo $this->get_field_id("num"); ?>">
			<?php _e('Number of posts to show','softnep_news'); ?>:</label><br />
			<input  class="widefat" id="<?php echo $this->get_field_id("num"); ?>" name="<?php echo $this->get_field_name("num"); ?>" type="text" value="<?php echo absint($instance["num"]); ?>" />
		</p>    
<?php

	}
    function update($new_instance, $old_instance) {							
		$instance = $old_instance;
        $instance['title']    = $new_instance['title'];
        $instance['num']      =  $new_instance['num'];	
		return $new_instance;
	}
	
	// display widget
    function widget($args, $instance) {	
		global $post;
		$post_old = $post; // Save the post object.
		extract( $args );
		//echo $before_widget;
		echo '<div id="sn_videogallery">
				<div class="gallery-box">';
		echo $args['before_title'] . $instance["title"] . $args['after_title'];
		echo  '  <ul class="gallery-videos">';?>
		 <?php	
			$args = array(
				'posts_per_page' =>$instance['num'],
				'post_type' => 'video-gallery'
						);
				query_posts($args);	
				$counter=0;			
				while (have_posts()) : the_post();
				$counter++;
				$custom = get_post_custom(get_the_ID());

        ?>
       <li class="<?php if($counter>1){echo 'list';}?>"><a href="<?php the_permalink();?>" title="<?php the_title();?>">
                    <div class="video-thumb">
                        <img src="http://img.youtube.com/vi/<?php echo $custom["url_id"][0];?>/hqdefault.jpg" />
                        <div class="sn-overlay"></div>
                       <?php 
                        $vid=$custom["url_id"][0];  
                        //echo $vid;
                       	$url ="https://www.googleapis.com/youtube/v3/videos?key=AIzaSyDAxLkvUoEWcfaJJKSG_CQGKOh8QUOBFSQ&part=contentDetails&id=$vid";
                       	//echo $url;
						 $request = new WP_Http;
						 $result = $request->request( $url );
						//print_r($result);
						$json = $result['body'];
						//print_r($json);
						$info = json_decode($json, true);
                        $start = new DateTime('@0'); // Unix epoch
                        $start->add(new DateInterval($info['items'][0]['contentDetails']['duration']));	
                  		?>
                 <div class="time"><?php echo $start->format('H:i:s');?></div> 
                    </div>
                    <div class="video-title"><?php the_title();?></div>
                </a></li>
 	<?php endwhile; wp_reset_query();?>
 	<div class="sn-view2"><a href="<?php echo site_url('video-gallery');?>" title="View All">View All</a></div>
	<?php 
	echo '</div>';
	echo $after_widget;			
	}
}
//register widget
function register_videogallery_widget() {
    register_widget( 'Videogallery_Widget' );
	}
add_action( 'widgets_init', 'register_videogallery_widget' );

