<?php 
/**
 * Main Slider Widget
 */
class Mainslider_Widget extends WP_Widget {
   /** constructor */
   function __construct() {
		parent::__construct(
		'sn_mainslider_widget', // Base ID
		__( 'Main Slider', 'softnep_news' ), // Name
		array( 'description' => __( 'Main Slider Widget', 'softnep_news' ) )
		);
	}
	// widget form creation
    function form($instance) {				
		// outputs the options form on admin
		if ($instance) {
			$slider_options = array(
				'title' => esc_attr($instance['title']),
				'num'=>esc_attr($instance['num'])
				);
		}
?>
		<p>
			<label for="<?php echo $this->get_field_id("title"); ?>">
			<?php _e( 'Title','softnep_news' ); ?>:</label> <br />
			<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id("num"); ?>">
			<?php _e('Number of slide to show','softnep_news'); ?>:</label><br />
			<input  class="widefat" id="<?php echo $this->get_field_id("num"); ?>" name="<?php echo $this->get_field_name("num"); ?>" type="text" value="<?php echo absint($instance["num"]); ?>" />	
		</p>
<?php
	}
	 /**
 	* Sanitize widget form values as they are saved.
 	* @return array Updated safe values to be saved.
	 */
    function update($new_instance, $old_instance) {					
		$instance = $old_instance;
        $instance['title']    = $new_instance['title'];
        $instance['num']     = $new_instance['num'];
		return $new_instance;
	}
	// display widget
    function widget($args, $instance) {	
		global $post;
		$post_old = $post; // Save the post object.
		extract( $args );
		?>
	<!-- Main Slider -->
    <div id="sn_slider">
        <div id="loading"></div>
        <div class="frame">
            <ul class="bxslider">
            	<?php 
						$args = array(
							'posts_per_page' => $instance["num"], 
							'post_type' => 'post',
							'meta_query' => array(
												array(
													 'key' => 'featured-checkbox',
                            						  'value' => 'yes'
															)
															)
						);		
						query_posts($args);							
						while (have_posts()) : the_post();
					?>
                <li>
                    <div class="date"><?php echo get_the_date('d',get_the_ID())?><span><?php echo get_the_date('M',get_the_ID());?><br><?php echo get_the_date('Y',get_the_ID());?></span></div>
                     <div class="category">
                     <?php $singleterm= get_the_terms(get_the_ID(), 'category');
									$total = count($singleterm);
									if(count($singleterm)>0){
									$i=0; 
									foreach($singleterm as $singleterms){ 
                                    $i++;?>
                    <a href="<?php echo get_category_link($singleterms->term_id);?>" title="<?php echo $singleterms->name;?>">
		<?php echo $singleterms->name;?></a><?php if($i==$total){echo "";}?>
		<?php }}?></div>
                    <?php if(has_post_thumbnail()) {			
					$image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'mainslider-thumbnail');?>
                    <div class="photo"><a href="<?php the_permalink();?>" title="<?php the_title();?>"><img src="<?php echo $image[0];?>" alt="Slider Image" width="580" height="426" /></a></div>
                    <?php }?>
                    <div class="caption">
                        <h2><a href="<?php the_permalink();?>" title="<?php the_title();?>"><?php the_title();?></a></h2>
                        <div class="desc"><?php echo softnep_trim_excerpt(get_the_excerpt(),200);?></div>
                    </div>
                    <div class="overlay"></div>
                </li>
               <?php endwhile; wp_reset_query();?>
               
            </ul>
        </div>
    </div>
    <!-- end Main Slider --> 
	<?php 		
	}
}
//register widget
function register_mainslider_widget() {
    register_widget( 'Mainslider_Widget' );
	}
add_action( 'widgets_init', 'register_mainslider_widget' );
?>
