<?php 
/**
 * Health Widget
*/
class Health_Widget extends WP_Widget {
   /** constructor */
   function __construct() {
	parent::__construct(
		'sn_health_widget', // Base ID
		__( 'Health Widget', 'softnep_news' ), // Name
		array( 'description' => __( 'The widget to display news of certain category ', 'softnep_news' ) )
		);
	}
	// widget form creation
    function form($instance) {				
		$instance = wp_parse_args( ( array ) $instance, array(
			'title'          =>__( '','softnep_news' ),
			'cat'			 =>__('' ,'softnep_news' ),
			'num'			 =>__( '','softnep_news' )
		) );

		$title          = $instance['title'];
		$cat			= $instance['cat'];
		$num			=$instance['num']		
?>
		<p>
			<label for="<?php echo $this->get_field_id("title"); ?>">
			<?php _e( 'Title','softnep_news' ); ?>:</label><br />
			<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
		</p> 
        <p>
        	<label><?php _e( 'Category','softnep_news'); ?>:
			<?php wp_dropdown_categories( array( 'name' => $this->get_field_name("cat"), 'selected' => $instance["cat"] ) );
		 	?>

			</label><br />
		</p>
       	<p>
			<label for="<?php echo $this->get_field_id("num"); ?>">
			<?php _e('Number of posts to show','softnep_news'); ?>:</label><br />
			<input  class="widefat" id="<?php echo $this->get_field_id("num"); ?>" name="<?php echo $this->get_field_name("num"); ?>" type="text" value="<?php echo absint($instance["num"]); ?>" />
		</p>
<?php
	}
	/**
 	* Sanitize widget form values as they are saved.
 	* @return array Updated safe values to be saved.
	*/
    function update($new_instance, $old_instance) {				
		$instance = $old_instance;
        $instance['title']    = $new_instance['title'];
        $instance['num']     = $new_instance['num'];
        $instance['cat']  = $new_instance['cat'];
        return $new_instance;
	}
	// display widget
    function widget($args, $instance) {	
		global $post;
		$post_old = $post; // Save the post object.
		extract( $args );
?> 
      	<?php echo '<div id="sn_news_style_1">';
    	echo $args['before_title'] . $instance["title"] . $args['after_title'];  
			$args = array(
				'posts_per_page' => $instance["num"], 
				'post_type' => 'post',
				'cat'=>$instance["cat"], 
			);
			$counter=0;	
			query_posts($args);							
			while (have_posts()) : the_post();
			$counter++;
		?>
        <?php if($counter==1){?> 
            <div class="col1">
            	<a href="<?php the_permalink();?>" title="<?php the_title();?>">
                	<div class="date"><?php echo get_the_date('d',get_the_ID());?><span><?php echo get_the_date('M',get_the_ID());?><br><?php echo get_the_date('Y',get_the_ID());?></span></div>
                
                	<?php  
		  			if(has_post_thumbnail()) {			
					$image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'health-thumbnail');
					?> 
                	<div class="sn-image-wrap"><img src="<?php echo $image[0];?>" alt="<?php the_title();?>" width="380" height="400"/></div>
                	<?php }?>
                	<div class="sn-overlay"></div>
                	<div class="sn-content-wrap">
                    	<h3 class="sn-list-header"><?php the_title();?></h3>
                    	<p class="sn-list-text"><?php echo softnep_trim_excerpt(get_the_excerpt(),100);?></p>
                	</div>
                </a>
            </div>
        <?php } ?>
        <?php endwhile; wp_reset_query();?>
            <div class="col2">
                <div class="sn-list-header">More Headlines</div>
                    <ul class="sn-list-item">
                		<?php 
							$args = array(
							'posts_per_page' => $instance["num"], 
							'post_type' => 'post',
							'cat'=>$instance["cat"], 
							);
						$counter=0;	
						query_posts($args);							
						while (have_posts()) : the_post();
						$counter++;
						?>
                		<?php if($counter>1){?>
                    		<li>
                    			<a href="<?php the_permalink();?>" title="<?php the_title();?>"><?php the_title();?></a>
                    		</li>
                    	<?php }?>
						<?php endwhile; wp_reset_query();?>
                    </ul>
                    <div class="sn-overlay"></div>
                    <div class="sn-view2"><a href="<?php  echo get_category_link($instance["cat"]);?>" title="View All">View All</a></div>
                </div>   
<?php 
	echo $after_widget;			
	}
}
//register widget
function register_health_widget() {
    register_widget( 'Health_Widget' );
	}
add_action( 'widgets_init', 'register_health_widget' );

/**
 * Sports Widget
*/
class Sports_Widget extends WP_Widget {
   /** constructor */
   function __construct() {
		parent::__construct(
		'sn_sports_widget', // Base ID
		__( 'Sports Widget', 'softnep_news' ), // Name
		array( 'description' => __( 'The widget to display news of sports category', 'softnep_news' ) )
			
			 // Args
		);
	}
	// widget form creation
    function form($instance) {				
		$instance = wp_parse_args( ( array ) $instance, array(
			'title'          =>__('', 'softnep_news' ),
			'cat'			 =>__('', 'softnep_news' ),
			'num'			 =>__('', 'softnep_news' )
		) );

		$title          = $instance['title'];
		$cat			= $instance['cat'];
		$num			=$instance['num']		
?>
	<p>
		<label for="<?php echo $this->get_field_id("title"); ?>">
		<?php _e( 'Title','softnep_news' ); ?>:</label> <br />
		<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
	</p> 
    <p>
		<label><?php _e( 'Category','softnep_news' ); ?>:</label> <br />
		<?php wp_dropdown_categories( array( 'name' => $this->get_field_name("cat"), 'selected' => $instance["cat"] ) ); ?>
	</p>
    <p>
		<label for="<?php echo $this->get_field_id("num"); ?>">
		<?php _e('Number of posts to show','softnep_news'); ?>:</label><br />
		<input  class="widefat" id="<?php echo $this->get_field_id("num"); ?>" name="<?php echo $this->get_field_name("num"); ?>" type="text" value="<?php echo absint($instance["num"]); ?>" />
	</p>
	<?php
	}	
	/**
 	* Sanitize widget form values as they are saved.
 	* @return array Updated safe values to be saved.
	*/
    function update($new_instance, $old_instance) {				
		$instance = $old_instance;   
        $instance['title']    = $new_instance['title'];
        $instance['num']      = $new_instance['num'];
        $instance['cat']      = $new_instance['cat'];
		return $new_instance;
	}
	// display widget
    function widget($args, $instance) {	
		global $post;
		$post_old = $post; // Save the post object.
		extract( $args );
?>  
    <?php echo ' <div id="sn_news_style_2">';
    	 echo $args['before_title'] . $instance["title"] . $args['after_title'];?>  
      		<!-- Top Row -->
          	<div class="row1">
          		<?php 
				$args = array(
				'posts_per_page' => 2, 
				'post_type' => 'post',
				'cat'=>$instance["cat"]
				); 
				$counter=0;
				query_posts($args);							
				while (have_posts()) : the_post();
				$counter++;
				?>
                <div class="<?php if($counter==1) echo'col col1'; else echo 'col col2';?>">
                	<a href="<?php the_permalink();?>" title="<?php the_title();?>">
                		<div class="date"><?php echo get_the_date('d',get_the_ID());?><span><?php echo get_the_date('M',get_the_ID());?><br><?php echo get_the_date('Y',get_the_ID());?></span></div>
                         <?php  
		  				if(has_post_thumbnail()) {			
						$image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'sports-thumbnail');
						?> 
                        <div class="sn-image-wrap"><img src="<?php echo $image[0];?>" alt="<?php the_title();?>" width="420" height="300" /></div>
                        <?php }?>
                        <div class="sn-overlay"></div>
                        <div class="sn-content-wrap">
                            <h3 class="sn-list-header"><?php the_title();?></h3>
                            <p class="sn-list-text"><?php echo softnep_trim_excerpt(get_the_excerpt(),75);?></p>
                        </div>
                    </a>
                </div>
                <?php endwhile; wp_reset_query();?>
            </div>
            <!-- end Top Row --> 
            <!-- Bottom Row -->
            <div class="row2">
            	<?php 
					$args = array(
						'posts_per_page' => 5, 
						'post_type' => 'post',
						'cat'=>$instance["cat"]
					); 
					$counter=0;
					query_posts($args);							
					while (have_posts()) : the_post();
					$counter++;
				?>
               	<?php if($counter>2){?>
                    <div class="<?php if($counter==3) echo 'col col1'; elseif($counter==4) echo'col col2'; else echo 'col col3';?>">
                    	<a href="<?php the_permalink();?>" title="<?php the_title();?>">
                    		<div class="block">
                            	<div class="date"><?php echo get_the_date('d M Y');?></span></div>
                             	<?php  
		  						if(has_post_thumbnail()) {			
								$image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'sportssecond-thumbnail');
								?> 
                            	<div class="sn-image-wrap"><img src="<?php echo $image[0];?> " alt="<?php the_title();?>" width="420" height="300" /></div>
                            	<?php }?>
                            	<div class="sn-overlay"></div>
                        	</div>
                        	<div class="sn-content-wrap">
                            	<h3 class="sn-list-header"><?php the_title();?></h3>
                        	</div>
                    	</a>
                  	</div>
                	<?php }?>
                 <?php endwhile; wp_reset_query();?>
			</div>
            <!-- Bottom Row -->
            <div class="sn-view1"><a href="<?php echo get_category_link($instance["cat"]);?>" title="View All">View All</a></div>
	<?php 
	echo $after_widget;			
	}
}
//register widget
function register_sports_widget() {
    register_widget( 'Sports_Widget' );
	}
add_action( 'widgets_init', 'register_sports_widget' );

/**
 * Entertainment Widget
*/
class Entertainment_Widget extends WP_Widget {
   /** constructor */
   function __construct() {
		parent::__construct(
		'sn_entertainment_widget', // Base ID
		__( 'Entertainment Widget', 'softnep_news' ), // Name
		array( 'description' => __( 'The widget to display category news in slider format', 'softnep_news' ) )
			
			 // Args
		);
	}
	// widget form creation
    function form($instance) {				
		$instance = wp_parse_args( ( array ) $instance, array(
			'title'          =>__('', 'softnep_news' ),
			'cat'			 =>__('', 'softnep_news' ),
			'num'			 =>__('','softnep_news' )
		) );
		$title          = $instance['title'];
		$cat			= $instance['cat'];
		$num			=$instance['num']				
?>
	 	<p>
			<label for="<?php echo $this->get_field_id("title"); ?>"><?php _e( 'Title','softnep_news' ); ?>:</label> <br />
			<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
		</p> 
        <p>
			<label><?php _e( 'Category','softnep_news' ); ?>:</label> <br />
			<?php wp_dropdown_categories( array( 'name' => $this->get_field_name("cat"), 'selected' => $instance["cat"] ) ); ?>		
		</p>
        <p>
			<label for="<?php echo $this->get_field_id("num"); ?>"><?php _e('Number of posts to show','softnep_news'); ?>:</label><br />
			<input  class="widefat" id="<?php echo $this->get_field_id("num"); ?>" name="<?php echo $this->get_field_name("num"); ?>" type="text" value="<?php echo absint($instance["num"]); ?>" />
		</p>
<?php
	}
	/**
 		* Sanitize widget form values as they are saved.
 		* @return array Updated safe values to be saved.
	*/
    function update($new_instance, $old_instance) {				
		$instance = $old_instance;
  	    $instance['title']    = $new_instance['title'];
        $instance['num']     = $new_instance['num'];
        $instance['cat']  = $new_instance['cat'];
		return $new_instance;
	}
	
	// display widget
    function widget($args, $instance) {	
		global $post;
		$post_old = $post; // Save the post object.
		extract( $args );
			if( !$instance["title"] ) {
			$category_info = get_category($instance["cat"]);
			$instance["title"] = $category_info->name;
	  }
		echo  '<div id="sn_news_content_slider">';?>
		<div class="widget_title"><?php echo $instance["title"];?> </div>
               <div class="sn-view1"><a href="<?php echo get_category_link($instance["cat"]);?>" title="View All">View All</a></div>
               <div class="widget_post">
            		<div id="owl-demo" class="owl-carousel owl-theme contentslider">
            	<?php  // Get array of post info.
				$args = array(
							'posts_per_page' => $instance["num"],
							'cat'=>$instance["cat"], 
							'post_type' => 'post'
							);
				 			 query_posts($args);							
				  			while (have_posts()) : the_post();
				?>
            <!-- Content 01 -->
               			 <div class="item">
                   			<div class="sn-image-wrap">
                   			 	<a href="<?php the_permalink();?>" title="<?php the_title();?>">
                        			<div class="sn-overlay"></div>
                       				<?php  
		  							if(has_post_thumbnail()) {			
									$image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'entertainment-thumbnail');
									?>
                            		<img src="<?php echo $image[0];?>" alt="<?php the_title();?>" width="420" height="300" />
                                	<?php }?>
                    			</a>
                    		</div>
                    		<div class="sn-content-wrap">
                        		<div class="date"><?php echo get_the_date('d M, Y');?></div>
                       	 		<div class="block">
                            	<h3 class="sn-list-header"><a href="<?php the_permalink();?>" title="<?php the_title();?>"><?php the_title();?></a></h3>
                            	<p class="sn-list-text"><?php echo softnep_trim_excerpt(get_the_excerpt(),100);?></p>
                        		</div>
                        		<div class="sn-view2"><a href="<?php the_permalink();?>" title="Read More">Read More</a></div>
                   			 </div>
                		</div>
        
                  <?php endwhile; wp_reset_query();?>
            </div>
        </div>
	<?php 
	echo $after_widget;			
	}
}

//register widget
function register_entertainment_widget() {
    register_widget( 'Entertainment_Widget' );
	}
add_action( 'widgets_init', 'register_entertainment_widget' );


/**
 * Top Stories Widget
*/
class Topstory_Widget extends WP_Widget {
   /** constructor */
   function __construct() {
		parent::__construct(
		'sn_topstory_widget', // Base ID
		__( 'Top Story  Widget', 'softnep_news' ), // Name
		array( 'description' => __( 'The widget  to display top stories ', 'softnep_news' ) )
			
			 // Args
		);
	}
	// widget form creation
    function form($instance) {				
		$instance = wp_parse_args( ( array ) $instance, array(
			'title'          =>__('', 'softnep_news' ),
			'cat'			 =>__('', 'softnep_news' ),
			'num'			 =>__('', 'softnep_news' )
		) );
		$title          = $instance['title'];
		$cat			= $instance['cat'];
		$num			=$instance['num']		
?>
	  	<p>
			<label for="<?php echo $this->get_field_id("title"); ?>"><?php _e( 'Title','softnep_news'); ?>:</label> <br />
			<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
		</p> 
        <p>
			<label><?php _e( 'Category','softnep_news' ); ?>:</label> <br />
			<?php wp_dropdown_categories( array( 'name' => $this->get_field_name("cat"), 'selected' => $instance["cat"] ) ); ?>
		</p>
        <p>
			<label for="<?php echo $this->get_field_id("num"); ?>"><?php _e('Number of posts to show','softnep_news'); ?>:</label><br />
			<input  class="widefat" id="<?php echo $this->get_field_id("num"); ?>" name="<?php echo $this->get_field_name("num"); ?>" type="text" value="<?php echo absint($instance["num"]); ?>" />
		</p>
<?php
	}
    /**
 	* Sanitize widget form values as they are saved.
 	* @return array Updated safe values to be saved.
	*/
    function update($new_instance, $old_instance) {				
		$instance = $old_instance;
        $instance['title']    = $new_instance['title'];
        $instance['num']     = $new_instance['num'];
        $instance['cat']  = $new_instance['cat'];
		return $new_instance;
	}
	
	// display widget
    function widget($args, $instance) {	
		global $post;
		$post_old = $post; // Save the post object.	
		extract( $args );
			if( !$instance["title"] ) {
			$category_info = get_category($instance["cat"]);
			$instance["title"] = $category_info->name;
			}
?>    
    <?php echo '<div id="sn_news_listing_1">';
    	 echo $args['before_title'] . $instance["title"] . $args['after_title'];
     	 // Get array of post info.
			$args = array(
				'posts_per_page' => '1',
				'cat'=>$instance['cat'], 
				'post_type' => 'post'
			);
			query_posts($args);							
			while (have_posts()) : the_post();
	?>
       	<div class="sn-main-wrap">
            <div class="date"><?php echo get_the_date('d',get_the_ID());?><span><?php echo get_the_date('M',get_the_ID());?><br><?php echo get_the_date('Y',get_the_ID());?></span></div>
            <div class="sn-image-wrap">
            	<a href="<?php the_permalink();?>" title="<?php the_title();?>">
                	<div class="sn-overlay"></div>
                	<?php  
		  				if(has_post_thumbnail()) {			
						$image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'topstory-thumbnail');
					?>
                	<img src="<?php echo $image[0];?>" alt="<?php the_title();?>" width="420" height="210" />
               		<?php }?>
                </a>
            </div>
            <div class="sn-content-wrap">
                <h3 class="sn-list-header"><a href="<?php the_permalink();?>" title="<?php the_title();?>"><?php the_title();?></a></h3>
			</div>
       </div>
        <?php endwhile; wp_reset_query();?>
        <ul class="sn-list-item">
        <?php  // Get array of post info.
			$args = array(
				'posts_per_page' => $instance['num'],
				'cat'=>$instance['cat'], 
				'post_type' => 'post'
				);
			query_posts($args);	
			$counter=0;						
			while (have_posts()) : the_post();
			$counter++;
		?>
       	<?php if($counter>1){?>
         	<li>
        		<a href="<?php the_permalink();?>" title="<?php the_title();?>"><?php the_title();?></a>
        	</li>
        <?php }?>
        <?php endwhile; wp_reset_query();?>
        </ul>
        <div class="sn-view2"><a href="<?php echo get_category_link($instance["cat"]);?>" title="View All">View All</a></div>     
   	<?php 
	echo $after_widget;			
	}
}
//register widget
function register_topstory_widget() {
    register_widget( 'Topstory_Widget' );
	}
add_action( 'widgets_init', 'register_topstory_widget' );


/**
 * Popular News Widget
*/
class Popularnews_Widget extends WP_Widget {
   /** constructor */
   function __construct() {
		parent::__construct(
		'sn_popularnews_widget', // Base ID
		__( 'Popular News  Widget', 'softnep_news' ), // Name
		array( 'description' => __( 'The widget  to display popular news ', 'softnep_news' ) )
			
			 // Args
		);
	}
	// widget form creation
    function form($instance) {				
		$instance = wp_parse_args( ( array ) $instance, array(
			'title'          =>__('', 'softnep_news' ),
			'num'			 =>__('', 'softnep_news' )
		) );

		$title          = $instance['title'];
		$num			=$instance['num'];		
?>
	    <p>
			<label for="<?php echo $this->get_field_id("title"); ?>">
			<?php _e( 'Title','softnep_news' ); ?>:</label> <br />
			<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
		</p> 
        <p>
			<label for="<?php echo $this->get_field_id("num"); ?>">
			<?php _e('Number of posts to show','softnep_news'); ?>:</label><br />
			<input  class="widefat" id="<?php echo $this->get_field_id("num"); ?>" name="<?php echo $this->get_field_name("num"); ?>" type="text" value="<?php echo absint($instance["num"]); ?>" />
		</p>
<?php
	}
	/**
	* Sanitize widget form values as they are saved.
	* @return array Updated safe values to be saved.
	*/
    function update($new_instance, $old_instance) {				
		$instance = $old_instance;    
        $instance['title']    = $new_instance['title'];
        $instance['num']     = $new_instance['num'];		
		return $new_instance;
	}
	// display widget
    function widget($args, $instance) {	
		$title = $instance['title'];
		$num=  $instance['num'];
		extract($args);
		$r = new WP_Query(array(
			'posts_per_page'     =>  $instance['num'] ,
			'orderby'			 => 'comment_count',
			'post_status'        => 'publish'
		) );

		if ( $r->have_posts()) :
  		// News Listing - Style 2 
    	echo '<div id="sn_news_listing_2">';
     	echo $args['before_title'] . $instance["title"] . $args['after_title'];?>
        <!-- List News -->
        	<ul class="sn-list-item">
        		<?php while ( $r->have_posts() ) : $r->the_post();
        	 	$image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'popularnews-thumbnail'); ?>
            	<li>
            		<a href="<?php the_permalink();?>" title="<?php the_title();?>">
                	<?php  
		  				if($image!=0) {			
					?>
                	<div class="sn-image-wrap">
                    	<div class="sn-overlay"></div>
                    	<img src="<?php echo $image[0];?>" alt="<?php the_title();?>" width="72" height="72" />
                	</div>
                	<div class="sn-content-wrap">
                    	<div class="date"><?php echo get_the_date('j M, Y',get_the_ID());?></div>
                    	<h3 class="sn-list-header"><?php the_title();?></h3>
                	</div>
                	 <?php } else {?>
                  		<div class="sn-content-wrap">
                    		<div class="date"><?php echo get_the_date('j M, Y',get_the_ID());?></div>
                    		<h3 class="sn-list-header"><?php the_title();?></h3>
                		</div>
                		<?php }?>
            		</a>
            	</li>
          		<?php endwhile;?>
        	</ul>
       	 	<!-- end List News -->
   	 	</div>
    <!-- end News Listing - Style 2 -->
 <?php
		 echo $after_widget;
 		wp_reset_postdata();
		endif;	
 	}	
}
//register widget
function register_popularnews_widget() {
    register_widget( 'Popularnews_Widget' );
	}
add_action( 'widgets_init', 'register_popularnews_widget' );


/**
 * Opininon Widget
*/
class Opinion_Widget extends WP_Widget {
   /** constructor */
   function __construct() {
		parent::__construct(
		'sn_opinion_widget', // Base ID
		__( 'Opinion Widget', 'softnep_news' ), // Name
		array( 'description' => __( 'The widget  to display news of opinion category ', 'softnep_news' ) )
		 // Args
		);
	}
	// widget form creation
    function form($instance) {				
		$instance = wp_parse_args( ( array ) $instance, array(
			'title'          =>__('', 'softnep_news' ),	
			'cat'			 =>__('', 'softnep_news' ),
			'num'			 =>__('', 'softnep_news' )
		) );
		$title          = $instance['title'];
		$cat			= $instance['cat'];
		$num			=$instance['num']		
?>
		<p>
			<label for="<?php echo $this->get_field_id("title"); ?>">
			<?php _e( 'Title','softnep_news' ); ?>:</label> <br />
			<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
		</p> 
  		<p>
			<label>
			<?php _e( 'Category','softnep_news' ); ?>:</label> <br />
			<?php wp_dropdown_categories( array( 'name' => $this->get_field_name("cat"), 'selected' => $instance["cat"] ) ); ?>
		</p>
   		<p>
		<label for="<?php echo $this->get_field_id("num"); ?>">
			<?php _e('Number of posts to show','softnep_news'); ?>:</label><br />
			<input  class="widefat" id="<?php echo $this->get_field_id("num"); ?>" name="<?php echo $this->get_field_name("num"); ?>" type="text" value="<?php echo absint($instance["num"]); ?>" />	
		</p>
<?php
	}
	/**
	* Sanitize widget form values as they are saved.
	* @return array Updated safe values to be saved.
	*/
    function update($new_instance, $old_instance) {				
		$instance = $old_instance;
        $instance['title'] = $new_instance['title'];
        $instance['num']   = $new_instance['num'];
        $instance['cat']   = $new_instance['cat'];
		return $new_instance;
	}
	
	// display widget
    function widget($args, $instance) {	
			if( !$instance["title"] ) {
			$category_info = get_category($instance["cat"]);
			$instance["title"] = $category_info->name;
	  }
		
?>    
 		<?php echo'<div id="sn_news_listing_3">';
		echo $args['before_title'] . $instance["title"] . $args['after_title'];?>
           	<div class="sn-main-wrap">
			<?php  // Get array of post info.
				$args = array(
					'posts_per_page' => 1,
					'cat'=>$instance['cat'], 
					'post_type' => 'post'
				);
				query_posts($args);						
				while (have_posts()) : the_post();
			?>
            <!-- Main News -->
            	<a href="<?php the_permalink();?>" title="<?php the_title();?>">
            	<?php  
		  		if(has_post_thumbnail()) {			
				$image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'opinion-thumbnail');
				?>
           			<div class="sn-image-wrap">
                  		<div class="sn-overlay"></div>
                        <img src="<?php echo $image[0];?>" alt="<?php the_title();?>" width="90" height="80" />
                    </div>
                    <?php }?>
                </a>
                <div class="sn-content-wrap">
                    <div class="name"><a href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php the_author();?></a></div>
                    <h3 class="sn-list-header"> <a href="<?php the_permalink();?>" title="<?php the_title();?>"><?php the_title();?></a></h3>
                </div>
               	<?php endwhile; wp_reset_query();?>
            </div>
           	<!-- end Main News -->
            <!-- List News -->
            <ul class="sn-list-item">
             	<?php  // Get array of post info.
					$args = array(
						'posts_per_page' => $instance['num'],
						'cat'=>$instance['cat'], 
						'post_type' => 'post'
					);
				 	query_posts($args);
				 	$counter=0;						
				  	while (have_posts()) : the_post();
				  	$counter++;
				 ?>
				 <?php if($counter>1) {?>
                	<li>
                        <div class="sn-content-wrap">
                        	<div class="name"><a href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php the_author();?></a></div>
                        	<h3 class="sn-list-header"><a href="<?php the_permalink();?>" title="<?php the_title();?>"><?php the_title();?></a></h3>
                        </div>
                    </li>
               	<?php }?>
                <?php endwhile; wp_reset_query();?>
            </ul>
            <!-- end List News -->
           	<div class="sn-view2"><a href="<?php echo get_category_link($instance["cat"]);?>" title="View All">View All</a></div>
	<?php 
	echo '</div></div>';	
	}
}
//register widget
function register_opinion_widget() {
    register_widget( 'Opinion_Widget' );
	}
add_action( 'widgets_init', 'register_opinion_widget' );


/**
 * Politics Widget
*/
class Politics_Widget extends WP_Widget {
   /** constructor */
   function __construct() {
		parent::__construct(
		'sn_politics_widget', // Base ID
		__( 'Politics Widget', 'softnep_news' ), // Name
		array( 'description' => __( 'The widget  to display news of politics category ', 'softnep_news' ) )
			
			 // Args
		);
	}
	// widget form creation
    function form($instance) {				
		$instance = wp_parse_args( ( array ) $instance, array(
			'title'          =>__('', 'softnep_news' ),	
			'cat'			 =>__('', 'softnep_news' ),
			'num'			 =>__('', 'softnep_news' )
		) );

		$title          = $instance['title'];
		$cat			= $instance['cat'];
		$num			=$instance['num'];		
		
?>
	   
		<p>
			<label for="<?php echo $this->get_field_id("title"); ?>">
			<?php _e( 'Title','softnep_news' ); ?>:</label> <br />
			<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
		</p> 
        <p>
			<label>
			<?php _e( 'Category','softnep_news' ); ?>:</label> <br />
			<?php wp_dropdown_categories( array( 'name' => $this->get_field_name("cat"), 'selected' => $instance["cat"] ) ); ?>
		</p>
        <p>
			<label for="<?php echo $this->get_field_id("num"); ?>">
			<?php _e('Number of posts to show','softnep_news'); ?>:</label><br />
			<select id= "<?php echo $this->get_field_id("num"); ?>" name="<?php echo $this->get_field_name("num"); ?>">
				<option value="2">2</option>
				<option value="4">4</option>
				<option value="6">6</option>
				<option value="8">8</option>
				<option value="10">10 </option>

			</select>
		</p>
<?php

	}
	/**
	* Sanitize widget form values as they are saved.
	* @return array Updated safe values to be saved.
	*/
    function update($new_instance, $old_instance) {				
		$instance = $old_instance;
        $instance['title']    = $new_instance['title'];
        $instance['num']     = $new_instance['num'];
        $instance['cat']  = $new_instance['cat'];
		return $new_instance;
	}
	
	// display widget
    function widget($args, $instance) {	
		global $post;
		$post_old = $post; // Save the post object.
		extract( $args );
			if( !$instance["title"] ) {
			$category_info = get_category($instance["cat"]);
			$instance["title"] = $category_info->name;
	  		}
         $r = new WP_Query(array(
			'posts_per_page'      =>  $instance['num'] ,
			'cat'                 => $instance['cat'],
			'post_status'         => 'publish'
		 ) );
	  	$index=0;
		if ( $r->have_posts()) : 
		echo '<div id="sn_news_list_slider_1">';
		echo $args['before_title'] . $instance["title"] . $args['after_title'];?>
                <div id="owl-demo" class="owl-carousel owl-theme listslider1">
                	<!-- News List - 1 -->
                    <div class="item">
                    	<ul class="sn-list-item">
                           <?php
							 while ( $r->have_posts() ) : $r->the_post(); 
    						$index++; 
    						$image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'politics-thumbnail');  
  							?>	
                        	<li>
  						 		<div class="sn-main-wrap">
                                	<div class="date"><?php echo get_the_date('d',get_the_ID());?><span><?php echo get_the_date('M',get_the_ID());?><br><?php echo get_the_date('Y',get_the_ID());?></span></div>
                                 	<?php if($image!=0){?>
                                		<div class="sn-image-wrap">
                                			<a href="<?php the_permalink();?>" title="<?php the_title();?>">
                                    			<div class="sn-overlay"></div>
                                    			<img src="<?php echo $image[0];?>" alt="<?php the_title();?>" width="250" height="125" />
                                			</a>
                                		</div>
                                	<?php }?>
                                	<div class="sn-content-wrap">
                                    	<h3 class="sn-list-header"><a href="<?php the_permalink();?>" title="<?php the_title();?>"><?php the_title();?></a></h3>
                                	</div>
                            	</div>
                            </li>
                            <?php
							 if($index%2 ==0 && $r->post_count>$index ):
								echo '</ul></div><div class="item"><ul class="sn-list-item">';
							endif;?>
                        	<?php endwhile; ?>
                      	</ul>
                    </div>
                	<!-- end News List - 1 -->
                	
            	</div>
                <div class="sn-view2"><a href="<?php echo get_category_link($instance["cat"]);?>" title="View All">View All</a></div>
<?php 
	echo $after_widget;			
	wp_reset_postdata();
	endif;
	}
}
//register widget
function register_politics_widget() {
    register_widget( 'Politics_Widget' );
	}
add_action( 'widgets_init', 'register_politics_widget' );



/**
 * Society Widget
*/
class Society_Widget extends WP_Widget {
   /** constructor */
   function __construct() {
		parent::__construct(
		'sn_society_widget', // Base ID
		__( 'Society Widget', 'softnep_news' ), // Name
		array( 'description' => __( 'The widget  to display news of society category ', 'softnep_news' ) )
		);
	}
	// widget form creation
    function form($instance) {				
		$instance = wp_parse_args( ( array ) $instance, array(
			'title'          =>__('', 'softnep_news' ),
			'cat'			 =>__('', 'softnep_news' ),
			'num'			 =>__('', 'softnep_news' )
		) );

		$title          = $instance['title'];
		$cat			= $instance['cat'];
		$num			=$instance['num']		
?>
	   
		<p>
			<label for="<?php echo $this->get_field_id("title"); ?>">
			<?php _e( 'Title','softnep_news' ); ?>:</label> <br />
			<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
		</p> 
		<p>
			<label>
			<?php _e( 'Category','softnep_news' ); ?>:</label> <br />
			<?php wp_dropdown_categories( array( 'name' => $this->get_field_name("cat"), 'selected' => $instance["cat"] ) ); ?>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id("num"); ?>">
			<?php _e('Number of posts to show','softnep_news'); ?>:</label><br />
			<select id= "<?php echo $this->get_field_id("num"); ?>" name="<?php echo $this->get_field_name("num"); ?>">
				<option value="2">2</option>
				<option value="4">4</option>
				<option value="6">6</option>
				<option value="8">8</option>
				<option value="10">10 </option>
			</select>
		</p>
<?php
	}
	/**
	* Sanitize widget form values as they are saved.
	* @return array Updated safe values to be saved.
	*/
    function update($new_instance, $old_instance) {					
		$instance = $old_instance;
        $instance['title']    = $new_instance['title'];
        $instance['num']     = $new_instance['num'];
        $instance['cat']  = $new_instance['cat'];
  		return $new_instance;
	}
	
	// display widget
    function widget($args, $instance) {	
		global $post;
		$post_old = $post; // Save the post object.
		extract( $args );
			if( !$instance["title"] ) {
			$category_info = get_category($instance["cat"]);
			$instance["title"] = $category_info->name;
			}
	  	$r = new WP_Query(array(
			'posts_per_page'      =>  $instance['num'] ,
			'cat'                 => $instance['cat'],
			'post_status'         => 'publish'
		 ) );
	  	$index=0;
		if ( $r->have_posts()) :   
 			echo '<div id="sn_news_list_slider_2">';
   		 		echo $args['before_title'] . $instance["title"] . $args['after_title'];?>
             		<!-- List News -->
                	<div id="owl-demo" class="owl-carousel owl-theme listslider2">
                		<!-- News List - 1 -->
                    	<div class="item">
                        	<ul class="sn-list-item">
                        	<?php
							 while ( $r->have_posts() ) : $r->the_post(); 
    						$index++; 
    						$image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'popularnews-thumbnail');  
							?>
                           		<li>
                           			<a href="<?php the_permalink();?>" title="<?php the_title();?>">
                                		<?php if($image!=0){?>
                                			<div class="sn-image-wrap">
                                    			<div class="sn-overlay"></div>
                                    			<img src="<?php echo $image[0];?>" alt="<?php the_title();?>" width="72" height="72" />
                                			</div>
                                		<?php }?>
                                		<div class="sn-content-wrap">
                                    		<div class="date"><?php echo get_the_date('j M, Y', get_the_ID());?></div>
                                    		<h3 class="sn-list-header"><?php the_title();?></h3>
                                		</div>
                           	 		</a>
                           	 	</li>
                           		<?php if($index%2 ==0 && $r->post_count>$index ):
								echo '</ul></div><div class="item"><ul class="sn-list-item">';
                           		endif;
                           		?>
                            <?php endwhile;?>
                       		 </ul>
						</div>
            		</div>
                	<!-- end List News -->
                	<div class="sn-view2"><a href="<?php echo get_category_link($instance["cat"]);?>" title="View All">View All</a></div>
<?php 
	echo $after_widget;	
	wp_reset_postdata();		
	endif;
	}
}
//register widget
function register_society_widget() {
    register_widget( 'Society_Widget' );
	}
add_action( 'widgets_init', 'register_society_widget' );


/**
 * News Tag Cloud Widget
*/

class Newstagcloud_Widget extends WP_Widget {
   /** constructor */
   function __construct() {
		parent::__construct(
		'sn_newstagcloud_widget', // Base ID
		__( 'News Tag Cloud Widget', 'softnep_news' ), // Name
		array( 'description' => __( 'The widget  to display news of society category ', 'softnep_news' ) )
			
			 // Args
		);
	}
	// widget form creation
    function form($instance) {				
		$instance = wp_parse_args( ( array ) $instance, array(
			'title'          =>__('', 'softnep_news' )
			
		) );

		$title          = $instance['title'];
?>
	   
		<p>
			<label for="<?php echo $this->get_field_id("title"); ?>">
				<?php _e( 'Title','softnep_news' ); ?>:</label> <br />
				<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
			
		</p> 
<?php

	}
	/**
	* Sanitize widget form values as they are saved.
	* @return array Updated safe values to be saved.
	*/
    function update($new_instance, $old_instance) {				
		$instance = $old_instance;
        
      
        $instance['title']    = $new_instance['title'];
       
				
		return $new_instance;
	}
	
	// display widget
    function widget($args, $instance) {	
		 echo  '<div id="sn_tagcloud">
            	<div class="tagcloud-box">';
        echo $args['before_title'] .  $instance["title"] . $args['after_title'];
		echo  '<div class="widget">';
        $cloud_args = array(
		'taxonomy' =>array( 'post_tag'),
		'number'   => 25, 
		'smallest' => '10', 
		'largest'  => '10',
		'unit' => 'px',
		'echo'     => true,);
        wp_tag_cloud( $cloud_args );
		echo '</div>';
		echo '</div>'; 
        echo $args['after_widget'];	
	}
}
//register widget
function register_newstagcloud_widget() {
    register_widget( 'Newstagcloud_Widget' );
	}
add_action( 'widgets_init', 'register_newstagcloud_widget' );
/**
 * Recent News Widget
*/
class Recent_News_Widget extends WP_Widget {
   /** constructor */
   function __construct() {
		parent::__construct(
		'sn_recent_news_widget', // Base ID
		__( 'Recent News Widget', 'softnep_news' ), // Name
		array( 'description' => __( 'The widget  to display recent news', 'softnep_news' ) )
			);
	}
	// widget form creation
    function form($instance) {				
		$instance = wp_parse_args( ( array ) $instance, array(
			'title'          =>__('','softnep_news' ),
			'num'			 =>__('', 'softnep_news' )
		) );

		$title          = $instance['title'];
		$num			=$instance['num']		
		
	?>
	   
		<p>
			<label for="<?php echo $this->get_field_id("title"); ?>">
			<?php _e( 'Title','softnep_news' ); ?>:</label> <br />
			<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
			
		</p> 
       <p>
			<label for="<?php echo $this->get_field_id("num"); ?>">
			<?php _e('Number of posts to show','softnep_news'); ?>:</label><br />
			<input  class="widefat" id="<?php echo $this->get_field_id("num"); ?>" name="<?php echo $this->get_field_name("num"); ?>" type="text" value="<?php echo absint($instance["num"]); ?>" />
			
		</p>
<?php

	}
	/**
	* Sanitize widget form values as they are saved.
	* @return array Updated safe values to be saved.
	*/
    function update($new_instance, $old_instance) {				
		$instance = $old_instance;
        $instance['title']    = $new_instance['title'];
        $instance['num']     = $new_instance['num'];	
		return $new_instance;
	}
	
	// display widget
    function widget($args, $instance) {	
		extract( $args );
		$r = new WP_Query(array(
			'posts_per_page'      =>  $instance['num'] ,
			'post_status'         => 'publish'
		 ) );

		if ( $r->have_posts()) :
		?>
		<?php 
		echo $before_widget;
	    echo $args['before_title'] . $instance["title"] . $args['after_title'];?>
           <div class="widget_post">
                <div id="owl-demo" class="owl-carousel owl-theme latestnews">
                	<?php while ( $r->have_posts() ) : $r->the_post(); ?>
                	<div class="item">
                	<?php if(has_post_thumbnail()) {			
							$image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'recentnews-thumbnail');
                	?>
                        <div class="photo"><a href="<?php the_permalink();?>" title="<?php the_title();?>"><img src="<?php echo $image[0];?>" alt="<?php the_title();?>" width="68" height="68" /></a></div>
                        <?php }?>
                        <div class="title"><a href="<?php the_permalink();?>" title="<?php the_title();?>"><?php the_title();?></a></div>
                    </div>
                   	<?php endwhile; ?>
                </div>
            </div>    
	<?php 
	echo $after_widget;	
	// Reset the global $the_post as this query will have stomped on it
	wp_reset_postdata();
	endif;
	}		
}
//register widget
function register_recentnews_widget() {
    register_widget( 'Recent_News_Widget' );
	}
add_action( 'widgets_init', 'register_recentnews_widget' );

/**
 * Breaking Category Widget
*/
class Breaking_News_Widget extends WP_Widget {
   /** constructor */
   function __construct() {
		parent::__construct(
		'sn_breaking_news_widget', // Base ID
		__( 'Breaking Post Widget ', 'softnep_news' ), // Name
		array( 'description' => __( 'The widget  to display news in header in slider format', 'softnep_news' ) )
		);
	}
	// widget form creation
    function form($instance) {				
		$instance = wp_parse_args( ( array ) $instance, array(
			'title'          =>__('','softnep_news' ),
			'cat'			 =>__('', 'softnep_news' ),
			'num'			 =>__('', 'softnep_news' )
		) );

		$title          = $instance['title'];
		$cat 			= $instance['cat'];
		$num			=$instance['num'];		
		
	?>
	   
		<p>
			<label for="<?php echo $this->get_field_id("title"); ?>">
			<?php _e( 'Title','softnep_news' ); ?>:</label> <br />
			<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
			
		</p> 
		<p>
			<label for="<?php echo $this->get_field_id("cat"); ?>">
			<?php _e( 'Category','softnep_news' ); ?>:
			<?php wp_dropdown_categories( array( 'name' => $this->get_field_name("cat"), 'selected' => $instance["cat"] ) ); ?>
			</label>
		</p>
	   <p>
			<label for="<?php echo $this->get_field_id("num"); ?>">
			<?php _e('Number of posts to show','softnep_news'); ?>:</label><br />
			<input  class="widefat" id="<?php echo $this->get_field_id("num"); ?>" name="<?php echo $this->get_field_name("num"); ?>" type="text" value="<?php echo absint($instance["num"]); ?>" />			
		</p>
<?php

	}
	/**
	* Sanitize widget form values as they are saved.
	* @return array Updated safe values to be saved.
	*/
    function update($new_instance, $old_instance) {				
		$instance = $old_instance;
        $instance['title']    = $new_instance['title'];
        $instance['cat']	  = $new_instance['cat'];
        $instance['num']      = $new_instance['num'];	
		return $new_instance;
	}
	
	// display widget
    function widget($args, $instance) {	
		extract( $args );
		$r = new WP_Query(array(
			'posts_per_page'      =>  $instance['num'] ,
			'cat'                 => $instance['cat'],
			'post_status'         => 'publish'
		 ) );

		if ( $r->have_posts()) : 
		echo $before_widget;
	    echo $args['before_title'] . $instance["title"] . $args['after_title'];?>
            <div class="fade"></div>
            <ul id="scroller">
                <?php while ( $r->have_posts() ) : $r->the_post(); ?>
                	<li>
                		<a href="<?php the_permalink();?>" title="<?php the_title();?>"><?php the_title();?></a>
                	</li>
                  <?php endwhile; ?>
            </ul>   
<?php 
	echo $after_widget;	
	// Reset the global $the_post as this query will have stomped on it
	wp_reset_postdata();
	endif;
	}		
}
//register widget
function register_breakingnews_widget() {
    register_widget( 'Breaking_News_Widget' );
	}
add_action( 'widgets_init', 'register_breakingnews_widget' );
/**
 * Featured News Widget
 */

class Featurednews_Widget extends WP_Widget {
   /** constructor */
   function __construct() {
		parent::__construct(
		'sn_featurednews_widget', // Base ID
		__( 'Featured News Widget', 'softnep_news' ), // Name
		array( 'description' => __( 'The widget to display featured news category news', 'softnep_news' ) )
			
			 // Args
		);
	}
	// widget form creation
    function form($instance) {				
		$instance = wp_parse_args( ( array ) $instance, array(
			'title'          => __('', 'softnep_news' ),
			'num'            => __('' , 'softnep_news' ),
			'cat'			 =>__('' , 'softnep_news')	
		) );
		$title          = $instance['title'];
		$num            = $instance['num'];
		$cat			=$instance['cat'];	
?>
	   
		<p>
			<label for="<?php echo $this->get_field_id("title"); ?>">
				<?php _e( 'Title','softnep_news' ); ?>:
				<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
			</label>
		</p>          
		<p>
			<label for="<?php echo $this->get_field_id("num"); ?>">
				<?php _e('Number of posts to show','softnep_news'); ?>:</label><br />
				<input  class="widefat" id="<?php echo $this->get_field_id("num"); ?>" name="<?php echo $this->get_field_name("num"); ?>" type="text" value="<?php echo absint($instance["num"]); ?>" />
			
		</p>
        <p>
			<label>
				<?php _e( 'Category','softnep_news'); ?>:
				<?php wp_dropdown_categories( array( 'name' => $this->get_field_name("cat"), 'selected' => $instance["cat"] ) ); 
				//echo "The cat".$instance["cat"];?>
			</label>
		</p>
<?php
	}
	/**
	* Sanitize widget form values as they are saved.
	* @return array Updated safe values to be saved.
	*/
    function update($new_instance, $old_instance) {				
		$instance = $old_instance;
        $instance['title']    = $new_instance['title'];
        $instance['num']     = $new_instance['num'];
        $instance['cat']  = $new_instance['cat'];
		return $new_instance;
	}
	

	// display widget
    function widget($args, $instance) {	
	global $post;
	echo ' <div id="sn_featured">';
	 	$r = new WP_Query(array(
			'posts_per_page'      =>  $instance['num'] ,
			'cat'                 => $instance['cat'],
			'post_status'         => 'publish'
		 ) );
		if ( $r->have_posts()) :
    	 echo $args['before_title'] . $instance["title"] . $args['after_title'];
		while ( $r->have_posts() ) : $r->the_post(); 
		$image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'featurednews-thumbnail');	
?>
     <div class="col1">
		<?php  
			if($image!=0) {			
		?> 
           	<div class="sn-image-wrap">
               	<div class="date"><?php echo get_the_date('d',get_the_ID());?><span><?php echo get_the_date('M',get_the_ID());?><br><?php echo get_the_date('Y',get_the_ID());?></span></div>
                <a href="<?php the_permalink();?>" title="<?php the_title();?>">
                    <div class="sn-overlay"></div>
                    <img src="<?php echo $image[0];?>" alt="<?php the_title();?>" width="150" height="130" />
                </a>
            </div>
            <div class="sn-content-wrap">
                <h3 class="sn-list-header"><a href="<?php the_permalink();?>" title="<?php the_title();?>"><?php the_title();?></a></h3>
                <p class="sn-list-text"><?php echo softnep_trim_excerpt(get_the_excerpt(),200);?></p>
            </div>
        <?php } else {?>
            <div class="sn-date-wrap">
               	<div class="postedon">Posted On</div>
                <div class="date"><?php echo get_the_date('d',get_the_ID());?><span><?php echo get_the_date('M',get_the_ID());?><br><?php echo get_the_date('Y',get_the_ID());?></span></div>
                <div class="shadow"></div>
            </div>    
            <div class="sn-content-wrap">
                <h3 class="sn-list-header"><a href="<?php the_permalink();?>" title="<?php the_title();?>"><?php the_title();?></a></h3>
                <p class="sn-list-text"><?php echo softnep_trim_excerpt(get_the_excerpt(),200);?></p>
            </div>
        <?php }?>
    </div>
       	<?php endwhile;?>

        <div class="sn-view1"><a href="<?php  echo get_category_link($instance["cat"]);?>" title="View All">View All</a></div>
   
   <?php echo '</div>';?>
    <!-- end Featured News -->
		<?php 
		echo '</div>';
		wp_reset_postdata();
	endif;	
	}
}
//register widget
function register_newsfeatured_widget() {
    register_widget( 'Featurednews_Widget' );
	}
add_action( 'widgets_init', 'register_newsfeatured_widget' );
/**
 * History + Business Widget
*/
class History_Widget extends WP_Widget {
   /** constructor */
   function __construct() {
		parent::__construct(
		'sn_history_widget', // Base ID
		__( 'History Widget', 'softnep_news' ), // Name
		array( 'description' => __( 'The widget  to display news of category in listing way ', 'softnep_news' ) )
			
			 // Args
		);
	}
	// widget form creation
    function form($instance) {				
		$instance = wp_parse_args( ( array ) $instance, array(
			'title'          =>__('', 'softnep_news' ),
			'cat'			 =>__('', 'softnep_news' ),
			'num'			 =>__('', 'softnep_news' )
		) );
		$title          = $instance['title'];
		$cat			= $instance['cat'];
		$num			=$instance['num']		
?>
	   
		<p>
			<label for="<?php echo $this->get_field_id("title"); ?>">
			<?php _e( 'Title','softnep_news' ); ?>:</label> <br />
			<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
		</p> 
      	<p>
			<label>
			<?php _e( 'Category','softnep_news' ); ?>:</label> <br />
			<?php wp_dropdown_categories( array( 'name' => $this->get_field_name("cat"), 'selected' => $instance["cat"] ) ); ?>
		</p>
       <p>
			<label for="<?php echo $this->get_field_id("num"); ?>">
			<?php _e('Number of posts to show','softnep_newss'); ?>:</label><br />
			<input  class="widefat" id="<?php echo $this->get_field_id("num"); ?>" name="<?php echo $this->get_field_name("num"); ?>" type="text" value="<?php echo absint($instance["num"]); ?>" />
		</p>
<?php
	}
	/**
	* Sanitize widget form values as they are saved.
	* @return array Updated safe values to be saved.
	*/
    function update($new_instance, $old_instance) {					
		$instance = $old_instance;
        $instance['title']= $new_instance['title'];
        $instance['num']  = $new_instance['num'];
        $instance['cat']  = $new_instance['cat'];
        		
		return $new_instance;
	}
	
	// display widget
    function widget($args, $instance) {	
		extract( $args );
		if( !$instance["title"] ) {
			$category_info = get_category($instance["cat"]);
			$instance["title"] = $category_info->name;
	  	}
	    $r = new WP_Query(array(
			'posts_per_page'      =>  $instance['num'] ,
			'cat'                 => $instance['cat'],
			'post_status'         => 'publish'
		 ) );
		if ( $r->have_posts()) :
 			echo '<div id="sn_news_listing_4">';
    		echo $args['before_title'] . $instance["title"] . $args['after_title'];?>
             	<ul class="sn-list-item">
                	<?php while ( $r->have_posts() ) : $r->the_post(); ?>
                        <li>
                            <a href="<?php the_permalink();?>" title="<?php the_title();?>"><?php the_title();?></a>
                        </li>
                    <?php endwhile;?>
                </ul>
                <div class="sn-view2"><a href="<?php echo get_category_link($instance["cat"]);?>" title="View All">View All</a></div>
<?php 
	echo '</div>';
	echo $after_widget;	
		wp_reset_postdata();
	endif;		
	}
}
//register widget
function register_history_widget() {
    register_widget( 'History_Widget' );
	}
add_action( 'widgets_init', 'register_history_widget' );


