<?php
/**
 * The template for displaying Search Results pages.
 */

get_header(); ?>
<section id="sn_mainbody">
	<section id="sn_page">
        <!-- Main Content -->
    	<section id="sn_inner_full_container" class="full-width">
        	<section class="search-title"><h2><?php printf( __( 'Search Results for: %s', 'softnep_news' ), '<span>' . get_search_query() . '</span>' ); ?></h2></section>
            <section class="search-result">
            <?php if ( have_posts() ) : ?>
            <?php while ( have_posts() ) : the_post(); ?>
                <!-- Search Result -->
                <div class="col">
                	<h5 class="title"><a href="<?php the_permalink();?>" title="<?php the_title();?>"><?php search_title_highlight(); ?></a></h5>
                    <p class="text"><?php search_excerpt_highlight(); ?></p>
                    <div class="info"><span class="category"><strong>Category:</strong> <?php echo get_the_category_list(' , ');?></span>
                    <span><strong>Posted On:</strong> <?php echo get_the_date('l, d F Y');?></span></div>
                </div>
            <?php endwhile;?>
            <div class="page-navi">
            <?php
                global $wp_query;
                $big = 999999999; // need an unlikely integer
                echo paginate_links( array(
                            'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
                            'format' => '?paged=%#%',
                            'current' => max( 1, get_query_var('paged') ),
                            'total' => $wp_query->max_num_pages,
                            'before_page_number' => '<span class="screen-reader-text"></span>'
                ) );
            ?> 
            </div> 
            <?php else:?>
                <!-- No Match Found! -->
                <div class="no-result">
                    <h3>Sorry, no match found!</h3>
                    <h6>Please try again with some different keywords.</h6>
                    <?php get_search_form(); ?>
                </div>
            <?php endif;?> 
            </section>
        </section>
        <!-- end Main Content -->
        
    </section>
</section>
<?php get_footer();?>